> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/facilitators/sdks/typescript-sdk/documents-requests/deletedoc.md).

# deleteDoc

### Overview

Parameters:&#x20;

* document token- String

Return:

* [DocsResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docsresponse) - In case of success
* Exception - In case of failure

To delete a document we will need:

* set your apiToken;
* document\`s token.
* call the method;

### How to use:

Save your [apiToken](/english/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Set your original document token:

<pre class="language-typescript"><code class="lang-typescript"><strong>const docToken: string = "ORIGINAL DOCUMENT TOKEN";
</strong></code></pre>

Finally, clal the deleteDoc method to get the [DocsResponse ](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docsresponse)or an error message

### Example

```typescript
import DocRequests from "sdk-node-typescript-zapsign/src/docs/DocRequests";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";

async function exempleDeleteDoc() {
    try {
                docResponse: DocResponse = await new DocRequests(apiToken).deleteDoc(docToken, extraDoc);
                jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
                console.log(jsonDocResponse);
    } catch(Err) {
                console.log(Err);
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/typescript-sdk/documents-requests/deletedoc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
